const express = require("express");

const accountsRoute = require("./accounts/account");
const orderFormRoute = require("./order-form/order-form");
const productsRoute = require("./products/product");
const mailerRoute = require("./mailer/mailer");
const chatRoute = require("./chat/chat");
const voucherRoute = require("./voucher/voucher");
const sellerUniversityRoute = require("./seller-university/seller-university");

const permissionsRoute = require('./permissions/permissions');
const notificationsRoute = require('./notifications/notification');
const router = express.Router();

router.use("/accounts", accountsRoute);
router.use("/orders", orderFormRoute);
router.use("/products", productsRoute);
router.use("/mailer", mailerRoute);
router.use("/chat", chatRoute);
router.use("/vouchers", voucherRoute);
router.use("/seller-university", sellerUniversityRoute);
router.use("/permissions", permissionsRoute);
router.use("/notifications", notificationsRoute)

module.exports = router;
